// LICENSE : MIT
"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _LoggerNode2 = require("./LoggerNode");

var _LoggerNode3 = _interopRequireDefault(_LoggerNode2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

/**
 * DestinationNode is end point of the pipeline.
 * Not support `connect()`
 */

var DestinationNode = function (_LoggerNode) {
    _inherits(DestinationNode, _LoggerNode);

    function DestinationNode() {
        _classCallCheck(this, DestinationNode);

        return _possibleConstructorReturn(this, _LoggerNode.apply(this, arguments));
    }

    DestinationNode.prototype.connect = function connect() {
        throw new Error("DestinationNode not support #connect()");
    };

    return DestinationNode;
}(_LoggerNode3.default);

exports.default = DestinationNode;
//# sourceMappingURL=DestinationNode.js.map